
## Khaliq03 model driver for Octave/odepkg

Khaliq03_defs = "Khaliq03.m";

autoload ("Khaliq03", Khaliq03_defs );
autoload ("Khaliq03_init", Khaliq03_defs );

Khaliq03_init; 

y0 = Khaliq03_init(-65)

t0 = 0.0;
t1 = 2000.0;
dt = 1e-3;

reltol=1e-2;
abstol=1e-3;

P = odeset ('RelTol', reltol, 'AbsTol', abstol, 'MaxStep', 1, 'InitialStep', dt);
sol = odesx (@Khaliq03, [t0 t1], y0, P);
ys = [sol.x sol.y];

N = size(ys)(1);
Khaliq03_v = [ys(:,1) ys(:,2)];
Khaliq03_Na_zO = [ys(:,1) ys(:,23)];
Khaliq03_ca = [ys(:,1) ys(:,22)];
save -ascii "v.dat" Khaliq03_v;
